<?xml version="1.0" encoding="utf-8"?>

<creole>

    <containers>
        <container name='web'>
            <package>eole-phpmyadmin-pkg</package>
            <service method="apache" servicelist="myadmin">phpmyadmin</service>
            <file name='/etc/apache2/sites-available/phpmyadmin' source='apache-phpmyadmin.conf'/>
            <file filelist='myadmin' name='/etc/phpmyadmin/config-db.php'/>
        </container>
    </containers>

    <variables>
        <family name='applications web'>
            <variable name='activer_phpmyadmin' type='oui/non' description="Activer phpMyAdmin (administration des bases MySQL)">
                <value>non</value>
            </variable>
        </family>
    </variables>

    <constraints>
        <condition name='disabled_if_in' source='activer_mysql'>
            <param>non</param>
            <target type='variable'>activer_phpmyadmin</target>
        </condition>
        <condition name='disabled_if_in' source='activer_phpmyadmin'>
            <param>non</param>
            <target type='filelist'>myadmin</target>
            <target type='servicelist'>myadmin</target>
        </condition>
    </constraints>

    <help>
        <variable name='activer_phpmyadmin'>phpMyAdmin permet d'administrer en ligne les bases de données MySQL du serveur</variable>
    </help>

</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
